jquery.footHovzer (debugging toolbar): Don't cause a scrollbar to appear if content is shorter than window height
Closed, ResolvedPublic

Description

If the page does not fill the full screen, there is useless scrollbar in Chrome with the Vector skin (it allows scrolling down about the height of the debug toolbar).

Git bisect identified 2bed75d951ce77dd22ebf8059fad3f173c856c0b as the culprit.


Version: 1.19
Severity: minor

Details

Reference
bz36273
bzimport raised the priority of this task from to Low.
bzimport set Reference to bz36273.

Lowering priority since it only affects debug mode and only on short pages, and not really blocking the debug proces.

I already have a fix for this which I'll commit later. The fix is as follows: Instead of manipulating body paddingBottom (which causes this bug but also another bug: the paddingBottom is collapsing with the padding of the footer, causing it to not fully reserve the space).. instead, use an empty spacer element at the bottom of the document (right before or after the hoving container itself), that we set the height on.

Confirmed fix in Vector and Monobook on localhost, if we make it, should also be backported to 1.19 (which is where this was introduced). This module didn't exist yet in 1.18, although in 1.18 this logic was duplicates in a few places, but lets not hunt that down for such a minor issue.

FYI I also see it in non-debug mode.

Krinkle added a comment.EditedApr 27 2012, 8:28 AM

(In reply to comment #2)

FYI I also see it in non-debug mode.

I was referring to the overal mode of the wiki (not the resourceloader "debug" mode setting in particular).

The debug toolbar (and thus this bug) is only visible if $wgDebugToolbar is true, which it shouldn't be for a production wiki.

Krinkle renamed this task from jquery.footHovzer module should not cause a scroll bar to appear if total content is shorter than window height to jquery.footHovzer: Don't cause a scrollbar to appear if content is shorter than window height.Nov 24 2014, 3:21 PM
Krinkle lowered the priority of this task from Low to Lowest.
Krinkle removed a project: Future-Release.
Krinkle set Security to None.
Krinkle removed Krinkle as the assignee of this task.Dec 1 2014, 9:59 PM
matmarex added a subscriber: matmarex.
matmarex renamed this task from jquery.footHovzer: Don't cause a scrollbar to appear if content is shorter than window height to jquery.footHovzer (debugging toolbar): Don't cause a scrollbar to appear if content is shorter than window height.Jan 1 2015, 9:08 PM

Change 182465 had a related patch set uploaded (by Unicodesnowman):
jQuery.footHovzer: Fix scrolling issues

https://gerrit.wikimedia.org/r/182465

Patch-For-Review

matmarex closed this task as Resolved.Jan 2 2015, 5:38 PM
matmarex assigned this task to Unicodesnowman.
matmarex removed a project: Patch-For-Review.

Change 182465 merged by jenkins-bot:
jQuery.footHovzer: Fix scrolling issues

https://gerrit.wikimedia.org/r/182465